Package org.apache.tomcat.util.http.parser

## Class Upgrade

- java.lang.Object
- - org.apache.tomcat.util.http.parser.Upgrade

    public class Upgrade
    extends java.lang.Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getProtocolName()`
`java.lang.String` `getProtocolVersion()`
`static java.util.List<Upgrade>` `parse​(java.util.Enumeration<java.lang.String> headerValues)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getProtocolName

    public java.lang.String getProtocolName()

#### getProtocolVersion

    public java.lang.String getProtocolVersion()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### parse

    public static java.util.List<Upgrade> parse​(java.util.Enumeration<java.lang.String> headerValues)